%define gitver %(echo %version | tr . _)
Name:          libunibreak
Version:       6.1
Release:       1mamba
Summary:       An implementation of the line breaking and word breaking algorithms
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/adah1972/libunibreak
Source:        https://github.com/adah1972/libunibreak.git/libunibreak_%{gitver}/libunibreak-%{version}.tar.bz2
License:       zlib/libpng
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
An implementation of the line breaking and word breaking algorithms as described in Unicode Standard Annex 14 and Unicode Standard Annex 29.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
./autogen.sh

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libunibreak.so.*
%doc AUTHORS LICENCE

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/liblinebreak.a
%{_libdir}/libunibreak.a
%{_libdir}/libunibreak.so
%{_libdir}/pkgconfig/libunibreak.pc
%doc NEWS README.md

%changelog
* Tue Mar 05 2024 Automatic Build System <autodist@openmamba.org> 6.1-1mamba
- automatic version update by autodist

* Tue Feb 27 2024 Automatic Build System <autodist@openmamba.org> 6.0-1mamba
- automatic version update by autodist

* Thu Dec 29 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1-1mamba
- update to 5.1

* Sun Dec 04 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0-2mamba
- remove .la file

* Sat May 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0-1mamba
- package created using the webbuild interface
